## GstValidate monitoring system GstValidate monitoring system — Lets you start monitoring a GstObject with GstValidate |

## Functions

GstValidateMonitor * | gst_validate_monitor_factory_create ()

## Description

To start monitoring and thus run GstValidate tests on a GstPipeline, the only thing to do is to instanciate a GstValidateRunner and then attach a GstValidateMonitor to it with gst_validate_monitor_factory_create

## Functions

### gst_validate_monitor_factory_create ()

    GstValidateMonitor *
    gst_validate_monitor_factory_create (GstObject *target,
                                         GstValidateRunner *runner,
                                         GstValidateMonitor *parent);

Create a new monitor for `target` and starts monitoring it.

#### Parameters

target | The GstObject to create a GstValidateMonitor for |
runner | The GstValidateRunner to use for the new monitor |
parent | The parent of the new monitor. | [nullable]

#### Returns

The newly created GstValidateMonitor.

[transfer full]

## Types and Values